#pragma once
#include "gamestate.h"
#include "Level.h"



class CGSGame : public CGameState
{

  public:

    Level                   m_Level;

    bool                    m_PipetteActive;
    int                     m_PipetteX;
    float                   m_PipetteY;
    int                     m_PipetteStep;
    float                   m_PipetteStepDelay;

    bool                    m_LevelDone;
    int                     m_CurLevelNo;


    CGSGame();
    virtual ~CGSGame();

    virtual void            Display( IDirect3DDevice8* pDevice );

    virtual void            UpdateFrame( const float fElapsedTime );

    virtual void            OnChar( int iChar );
    virtual void            OnKeyDown( int iChar );
    virtual void            OnMouse( int X, int Y, int Buttons );

    void                    PrepareLevel();

};
